# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(XS/Parse/Infix.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Syntax-Infix-Smartmatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005
Release: alt2
Summary: Smartmatch done right
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz

%description
NOTE: This module is currently still experimental and the details of its behavior may still change.

This module implements a new, much simplified version of smartmatch. In particular the behavior only depends on the right side argument. In particular it will do the following based on the right side argument:

=over 4

=item * undef

This will return `not defined $left'.

=item * object

If the object has smartmatch overloading (note: this might disappear in a future Perl version), that is called. Otherwise it returns object identity.

=item * regex

This is equivalent to `$left =~ $right'.

=item * sub

It will return the value of `$right->($left)'

=item * array

This will return true if `$left' smartmatches any of the members of `@$right'.

=item * other

This will return `$left equ $right' (`defined $left and $left eq $right').

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.005-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.005-alt1
- initial import by package builder

